Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
ivar_update Struct Reference

## Data Fields
union {
st_table * iv_index_tbl
struct gen_ivtbl * ivtbl
} | u
st_data_t | index
int | iv_extended

## Detailed Description

Definition at line 38 of file variable.c.

## Field Documentation

## ◆ index

st_data_t ivar_update::index

Definition at line 43 of file variable.c.

## ◆ iv_extended

int ivar_update::iv_extended

Definition at line 44 of file variable.c.

## ◆ iv_index_tbl

st_table* ivar_update::iv_index_tbl

Definition at line 40 of file variable.c.

## ◆ ivtbl

struct gen_ivtbl* ivar_update::ivtbl

Definition at line 41 of file variable.c.

## ◆ u

union { ... } ivar_update::u

The documentation for this struct was generated from the following file:

- variable.c